
### Profiles

The following Profiles and have been defined for this implementation guide.

<!-- {% raw %}
{% include list-simple-profiles.xhtml %}
{% endraw %} -->


- [US Core AllergyIntolerance Profile]
- [US Core CarePlan Profile]
- [US Core CareTeam Profile]
- [US Core Condition Profile]
- [US Core DiagnosticReport Profile for Laboratory Results Reporting]
- [US Core DiagnosticReport Profile for Report and Note exchange]
- [US Core DocumentReference Profile]
- [US Core Encounter Profile]
- [US Core Goal Profile]
- [US Core Immunization Profile]
- [US Core Implantable Device Profile]
- [US Core Laboratory Result Observation Profile]
- [US Core Location Profile]
- [US Core Medication Profile]
- [US Core MedicationRequest Profile]
- [US Core Organization Profile]
- [US Core Patient Profile]
- [US Core Practitioner Profile]
- [US Core PractitionerRole Profile]
- [US Core Procedure Profile]
- [US Core Provenance Profile]
- [US Core Smoking Status Observation Profile]
- [US Core Vital Signs Profile]
  - [US Core Blood Pressure Profile]
  - [US Core BMI Profile]
  - [US Core Head Circumference Profile]
  - [US Core Body Height Profile]
  - [US Core Body Weight Profile]
  - [US Core Body Temperature Profile]
  - [US Core Heart Rate Profile]
  - [US Core Pediatric BMI for Age Observation Profile]
  - [US Core Pediatric Head Occipital-frontal Circumference Percentile
  Profile]
  - [US Core Pediatric Weight for Height Observation Profile]
  - [US Core Pulse Oximetry Profile]
  - [US Core Respiratory Rate Profile]


<!--
- In addition US Core uses the [Vital Signs Profile] from the FHIR Specification.  The expanded US Core [Vital Signs Quick Start] section provides guidance on vital signs search.
-->


<br />

### Extensions

The following [Extensions]({{site.data.fhir.path}}extensibility.html) have been defined as part of the US Core implementation Guide. A [registry of standard extensions]({{site.data.fhir.path}}extensibility-registry.html) can be found in the FHIR specification and additional extensions may be registered on the HL7 FHIR registry at <http://hl7.org/fhir/registry>.

<!-- {% raw %}
{% include list-simple-extensions.xhtml %}
{% endraw %} -->

- [US Core Ethnicity Extension](StructureDefinition-us-core-ethnicity.html)
- [US Core Direct email Extension](StructureDefinition-us-core-direct.html)
- [US Core Race Extension](StructureDefinition-us-core-race.html)
- [US Core Birth Sex Extension](StructureDefinition-us-core-birthsex.html)

{% include link-list.md %}

<br />
